#95688 Report by node sphinx covering 2037 tests from 55 modules resulted into 5 errors

Report

ObsPy Version
1.1.0.post0+420.gad46197741...
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
732.4 sec
Report Date/Time
2018-05-16 12:03:36

System / Python

Architecture
32bit
Machine
i686
Node
sphinx
Processor
i686
Python Compiler
GCC 4.4.7 20120313 (Red Hat 4.4.7-1)
Python Implementation
CPython
Python Version
3.4.4
Release
2.6.32-042stab129.1
System
Linux
Version
#1 SMP Thu May 10 13:24:14 MSK 2018

Dependencies

cartopy
---
decorator
4.0.6
flake8
2.5.1
future
0.15.2
geographiclib
---
lxml.etree
3.3.5
m2crypto
---
matplotlib
2.0.2
mock
1.3.0
mpl_toolkits.basemap
1.0.7
numpy
1.10.4
pep8-naming
---
pyflakes
1.0.0
pyimgur
---
pyproj
1.9.4
requests
2.9.1
scipy
0.17.0
setuptools
19.6.2
shapefile
---
sqlalchemy
1.0.11

Modules (55)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink - -
obspy.clients.earthworm - -
obspy.clients.fdsn 2 1 2
obspy.clients.filesystem - -
obspy.clients.iris 2 3 4
obspy.clients.neic - -
obspy.clients.nrl - -
obspy.clients.seedlink 1 5
obspy.clients.seishub - -
obspy.clients.syngine - -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 5 5

Tracebacks (5)

Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/tests/test_federator_routing_client.py", line 342, in test_get_stations_integration_test
channel="LHZ", level="network")
File "<decorator-gen-67>", line 2, in get_stations
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/federator_routing_client.py", line 110, in get_stations
return super(FederatorRoutingClient, self).get_stations(**kwargs)
File "<decorator-gen-64>", line 2, in get_stations
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/routing_client.py", line 344, in get_stations
return self.get_stations_bulk([bulk], **kwargs)
File "<decorator-gen-68>", line 2, in get_stations_bulk
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/federator_routing_client.py", line 143, in get_stations_bulk
r = self._download(self._url + "/query", data=bulk_str)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/base.py", line 245, in _download
self._handle_requests_http_error(r)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/routing_client.py", line 280, in _handle_requests_http_error
raise_on_error(r.status_code, get_reason_from_response(r))
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/client.py", line 1710, in raise_on_error
raise FDSNException(msg, server_info)
obspy.clients.fdsn.header.FDSNException: Bad request. If you think your request was valid please contact the developers.
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/tests/test_client.py", line 1265, in test_eida_token_resolution
user, password = client._resolve_eida_token(token=token)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/client.py", line 373, in _resolve_eida_token
use_gzip=True, return_string=True)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/client.py", line 1382, in _download
raise_on_error(code, data)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/client.py", line 1735, in raise_on_error
(str(data.__class__.__name__), str(data))))
obspy.clients.fdsn.header.FDSNException: Unknown Error (URLError): <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)>
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 2187, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.iris.client.Client.timeseries
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/iris/client.py", line 177, in timeseries
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/iris/client.py", line 318, in obspy.clients.iris.client.Client.timeseries
Failed example:
st = client.timeseries("IU", "ANMO", "00", "BHZ", dt, dt+10,
filter=["correct", "demean", "lp=2.0"])
Exception raised:
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/iris/client.py", line 340, in timeseries
data = self._fetch("timeseries", param_list=filter, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/iris/client.py", line 133, in _fetch
response = urllib_request.urlopen(req, timeout=self.timeout)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 470, in open
response = meth(req, response)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 580, in http_response
'http', request, response, code, msg, hdrs)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 508, in error
return self._call_chain(*args)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 442, in _call_chain
result = func(*args)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 588, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 400: Bad Request
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.iris.client.Client.timeseries[6]>", line 2, in <module>
filter=["correct", "demean", "lp=2.0"])
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/iris/client.py", line 344, in timeseries
raise Exception(msg)
Exception: No waveform data available (HTTPError: HTTP Error 400: Bad Request)
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/iris/client.py", line 320, in obspy.clients.iris.client.Client.timeseries
Failed example:
print(st[0].data) # doctest: +ELLIPSIS
Expected:
[ -1.57488682e-06 -1.26318002e-06 -7.84807128e-07 ...
Got:
[ 24 20 19 19 19 15 10 4 -4 -11 -19 -26 -35 -48 -60
-72 -83 -95 -109 -121 -133 -147 -162 -179 -195 -208 -221 -238 -256 -272
-285 -301 -314 -324 -333 -341 -350 -358 -365 -370 -376 -378 -378 -380 -381
-381 -378 -376 -374 -370 -364 -359 -356 -352 -345 -337 -331 -328 -323 -316
-310 -305 -301 -295 -290 -289 -283 -275 -271 -269 -267 -263 -258 -257 -253
-248 -243 -240 -239 -237 -233 -229 -224 -218 -211 -208 -205 -202 -200 -195
-191 -185 -181 -180 -179 -177 -177 -177 -176 -176 -179 -183 -185 -187 -189
-192 -198 -204 -210 -216 -220 -227 -235 -241 -247 -253 -262 -270 -277 -284
-294 -304 -313 -323 -332 -340 -345 -350 -355 -358 -361 -364 -369 -372 -371
-372 -374 -373 -368 -364 -362 -357 -349 -344 -338 -331 -320 -311 -302 -291
-280 -268 -255 -243 -231 -218 -203 -187 -173 -160 -147 -132 -119 -108 -97
-86 -73 -62 -54 -48 -42 -37 -33 -29 -27 -27 -25 -26 -27 -29
-31 -30 -31 -36 -40 -44 -52 -59 -68 -77 -83 -89 -95 -101 -108
-116 -123 -130 -141 -150]
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/iris/client.py", line 340, in timeseries
data = self._fetch("timeseries", param_list=filter, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/iris/client.py", line 133, in _fetch
response = urllib_request.urlopen(req, timeout=self.timeout)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 470, in open
response = meth(req, response)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 580, in http_response
'http', request, response, code, msg, hdrs)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 508, in error
return self._call_chain(*args)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 442, in _call_chain
result = func(*args)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/urllib/request.py", line 588, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 400: Bad Request
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/iris/tests/test_client.py", line 256, in test_timeseries
filter=["correct"])
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/iris/client.py", line 344, in timeseries
raise Exception(msg)
Exception: No waveform data available (HTTPError: HTTP Error 400: Bad Request)
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/tests/test_basic_client.py", line 42, in test_get_waveform
_test_offset_from_realtime(offset)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/tests/test_basic_client.py", line 25, in _test_offset_from_realtime
self.assertGreater(len(st), 0)
AssertionError: 0 not greater than 0

Skipped Tests (43)

Submodule Test Skip Message
geodetics test_gps_2_dist_azimuth_with_geographiclib (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
geodetics test_issue_375 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
taup test_compute_ray_paths (obspy.taup.tests.test_ray_paths.RayPathCalculationsTestCase) test needs geographiclib >= 1.34
taup test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_path_resampling (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_p_iasp91_geo_manual (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_pierce_p_iasp91_geo (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
taup test_single_path_geo_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveforms (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
io.shapefile test_write_catalog_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_catalog_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_catalog_shapefile_with_extra_field (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_inventory_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_inventory_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
clients.arclink test_get_waveform_with_default_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) $HOME/dcidpasswords.txt already exists
clients.arclink test_m2crypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto is not installed
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old

Slowest Tests (20)

Runtime Test
23.813s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
21.641s test_get_waveform (obspy.clients.seedlink.tests.test_basic_client.ClientTestCase)
21.173s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
12.038s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
11.423s __init__ (obspy.taup)
10.327s test_redirection_auth (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.937s test_redirection (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.779s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
9.493s test_plot_wiggles_vertical_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
9.438s test_dataselect_bulk (obspy.clients.fdsn.tests.test_client.ClientTestCase)
8.708s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
8.300s test_evalresp (obspy.clients.iris.tests.test_client.ClientTestCase)
8.232s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
8.089s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
7.607s test_plot_wiggles_horizontal_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
7.538s test_plot_colored_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
7.537s test_plot_azim_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
7.530s test_plot_wiggles_negative_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
7.516s test_plot_default_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
7.511s test_plot_wiggles_positive_section (obspy.imaging.tests.test_waveform.WaveformTestCase)

Chuck Norris Fact

When Chuck Norris is web surfing websites get the message "Warning: Internet Explorer has deemed this user to be malicious or dangerous. Proceed?".